FONTMAKE(1)

NAME
fontmake - manual page for fontmake

DESCRIPTION
usage: fontmake [-h] [--version]

    (-g GLYPHS | -u UFO [UFO ...] | -m DESIGNSPACE) [-o FORMAT [FORMAT ...]] [-i] [-M] [--family-name FAMILY_NAME] [--keep-overlaps] [--keep-direction] [-e ERROR] [-a [AUTOHINT]] [--interpolate-binary-layout] [--kern-writer-module MODULE] [--mark-writer-module MODULE] [--use-afdko | --mti-source MTI_SOURCE] [--production-names | --no-production-names] [--subset | --no-subset] [-s | -S] [--timing] [--verbose LEVEL]

  optional arguments:

-h, --help
    show this help message and exit

--version
    show program's version number and exit

--production-names
    Rename glyphs with production names if available otherwise use uninames.

--no-production-names

--subset
    Subset font using export flags set by glyphsLib

--no-subset

-s, --subroutinize
    Optimize CFF table using compreffor (default)

-S, --no-subroutinize

  Input arguments:

    The following arguments are mutually exclusive.

-g GLYPHS, --glyphs-path GLYPHS
    Path to .glyphs source file

-u UFO [UFO ...], --ufo-paths UFO [UFO ...]
    One or more paths to UFO files

-m DESIGNSPACE, --mm-designspace DESIGNSPACE
    Path to .designspace file

  Output arguments:

-o FORMAT [FORMAT ...], --output FORMAT [FORMAT ...]
    Output font formats. Choose between: ufo, otf, ttf, ttf-interpolatable, variable. Default: otf, ttf

-i, --interpolate
    Interpolate masters (for Glyphs or MutatorMath sources only)

-M, --masters-as-instances
    Output masters as instances

--family-name FAMILY_NAME
    Family name to use for masters, and to filter output instances

  Handling of contours:

--keep-overlaps
    Do not remove any overlap.

--keep-direction
    Do not reverse contour direction when output is ttf or ttf-interpolatable

-e ERROR, --conversion-error ERROR
    Maximum approximation error for cubic to quadratic conversion measured in EM

-a [AUTOHINT], --autohint [AUTOHINT]
    Run ttfautohint. Can provide arguments, quoted

  Handling of OpenType Layout:

--interpolate-binary-layout
    Interpolate layout tables from compiled master binaries. Requires Glyphs or MutatorMath source.

--kern-writer-module MODULE
    Module containing a custom `KernFeatureWriter` class.

--mark-writer-module MODULE
    Module containing a custom `MarkFeatureWriter` class.

--use-afdko
    Use makeOTF instead of feaLib to compile FEA.

--mti-source MTI_SOURCE
    Path to mtiLib .txt feature definitions (use instead of FEA)

  Logging arguments:

--timing
    Print the elapsed time for each steps

--verbose LEVEL
    Configure the logger verbosity level. Choose between: DEBUG, INFO, WARNING, ERROR, CRITICAL. Default: INFO